<?php
if (!defined('USING_SYSTEM')) exit;

class p501_sxExe extends xIExecutor {
	
	public function main() {
		$tips = '';
		if(isset($_POST['memCache']) && ($_POST['memCache']=='1') ) {
			xGbl::$mmc->flush();
			$tips .= '内存缓存已成功更新<br />';
		}
		if(isset($_POST['shareGc']) && ($_POST['shareGc']=='1') ) {
			xShare::gc();
			$tips .= '分享闲置数据已成功清除<br />';
		}
		if(isset($_POST['keyGc']) && ($_POST['keyGc']=='1') ) {
			xKey::gc();
			$tips .= '密钥闲置数据已成功清除<br />';
		}
		include_once(__ROOT__.'admin/ui.p501.php');
	}
	
	public function onError($result) {
		
	}
	
}
